<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Interactive</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
   </head>
<body>
   <nav class="navbar navbar-expand-lg navbar-light bg-light">
      <a class="navbar-brand" href="#">POPL</a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarNav">
        <ul class="navbar-nav">
          <li class="nav-item">
          <a class="nav-link" href="./index.html">Home</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="./dfs.html">DFT </a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="./random.html">Interactive</a>
          </li>
        </ul>
      </div>
    </nav>
    <div class="container pt-5">
       <div class="row">
          <div class="col-8">
             <svg
                xmlns:dc="http://purl.org/dc/elements/1.1/"
                xmlns:cc="http://creativecommons.org/ns#"
                xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
                xmlns:svg="http://www.w3.org/2000/svg"
                xmlns="http://www.w3.org/2000/svg"
                xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
                xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
                width="124.59094mm"
                height="145.86026mm"
                viewBox="0 0 124.59094 145.86026"
                version="1.1"
                id="svg8"
                inkscape:version="1.0.1 (1.0.1+r75)"
                sodipodi:docname="graph.svg">
               <defs
                  id="defs2">
                 <rect
                    x="44.084103"
                    y="261.99103"
                    width="23.433117"
                    height="31.153599"
                    id="rect931" />
                 <rect
                    x="85.801888"
                    y="17.168493"
                    width="19.495264"
                    height="20.36581"
                    id="rect901" />
                 <rect
                    x="85.801888"
                    y="17.168493"
                    width="19.495264"
                    height="20.36581"
                    id="rect907" />
                 <rect
                    x="85.801888"
                    y="17.168493"
                    width="19.495264"
                    height="20.36581"
                    id="rect923" />
                 <rect
                    x="85.801888"
                    y="17.168493"
                    width="19.495264"
                    height="20.36581"
                    id="rect927" />
                 <rect
                    x="85.801888"
                    y="17.168493"
                    width="19.495264"
                    height="20.36581"
                    id="rect937" />
                 <rect
                    x="85.801888"
                    y="17.168493"
                    width="19.495264"
                    height="20.36581"
                    id="rect941" />
                 <rect
                    x="85.801888"
                    y="17.168493"
                    width="19.495264"
                    height="20.36581"
                    id="rect945" />
                 <rect
                    x="85.801888"
                    y="17.168493"
                    width="19.495264"
                    height="20.36581"
                    id="rect949" />
               </defs>
               <sodipodi:namedview
                  id="base"
                  pagecolor="#ffffff"
                  bordercolor="#666666"
                  borderopacity="1.0"
                  inkscape:pageopacity="0.0"
                  inkscape:pageshadow="2"
                  inkscape:zoom="0.49497475"
                  inkscape:cx="240.49169"
                  inkscape:cy="433.26551"
                  inkscape:document-units="mm"
                  inkscape:current-layer="layer1"
                  inkscape:document-rotation="0"
                  showgrid="false"
                  inkscape:window-width="1920"
                  inkscape:window-height="1020"
                  inkscape:window-x="0"
                  inkscape:window-y="30"
                  inkscape:window-maximized="1"
                  inkscape:snap-bbox="true"
                  inkscape:object-paths="true" />
               <metadata
                  id="metadata5">
                 <rdf:RDF>
                   <cc:Work
                      rdf:about="">
                     <dc:format>image/svg+xml</dc:format>
                     <dc:type
                        rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
                     <dc:title />
                   </cc:Work>
                 </rdf:RDF>
               </metadata>
               <g
                  inkscape:label="Layer 1"
                  inkscape:groupmode="layer"
                  id="layer1"
                  transform="translate(43.672238,-17.941662)">
                 <ellipse
                    style="fill:#fe9ab8;fill-rule:evenodd;stroke:#000000;stroke-width:1.32292;stroke-linecap:round"
                    id="A"
                    cx="27.463032"
                    cy="28.08452"
                    rx="9.4737835"
                    ry="9.4813986" />
                 <ellipse
                    style="fill:#fe9ab8;fill-rule:evenodd;stroke:#000000;stroke-width:1.32292;stroke-linecap:round"
                    id="B"
                    cx="-0.71729594"
                    cy="58.248123"
                    rx="9.4737835"
                    ry="9.4813986" />
                 <ellipse
                    style="fill:#fe9ab8;fill-rule:evenodd;stroke:#000000;stroke-width:1.32292;stroke-linecap:round"
                    id="F"
                    cx="47.823093"
                    cy="60.573029"
                    rx="9.4737835"
                    ry="9.4813986" />
                 <ellipse
                    style="fill:#fe9ab8;fill-rule:evenodd;stroke:#000000;stroke-width:1.32292;stroke-linecap:round"
                    id="G"
                    cx="27.362644"
                    cy="105.09093"
                    rx="9.4737835"
                    ry="9.4813986" />
                 <ellipse
                    style="fill:#fe9ab8;fill-rule:evenodd;stroke:#000000;stroke-width:1.32292;stroke-linecap:round"
                    id="H"
                    cx="70.783463"
                    cy="103.14746"
                    rx="9.4737835"
                    ry="9.4813986" />
                 <path
                    style="fill:#666666;stroke:#666666;stroke-width:2.64583;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1"
                    d="m 30.712594,36.990713 11.948423,15.63203"
                    id="AF" />
                 <path
                    style="fill:#666666;stroke:#666666;stroke-width:2.64583;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1"
                    d="m 51.083833,69.475123 14.15515,25.98429"
                    id="FH" />
                 <path
                    style="fill:#666666;stroke:#666666;stroke-width:2.64583;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1"
                    d="M 42.034194,68.078473 29.315706,95.813183"
                    id="FG" />
                 <path
                    style="fill:#666666;stroke:#666666;stroke-width:2.64583;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1"
                    d="M 19.180211,32.686855 5.085302,50.753283"
                    id="AB" />
                 <ellipse
                    style="fill:#fe9ab8;fill-rule:evenodd;stroke:#000000;stroke-width:1.32292;stroke-linecap:round"
                    id="C"
                    cx="-13.076552"
                    cy="109.14116"
                    rx="9.4737835"
                    ry="9.4813986" />
                 <ellipse
                    style="fill:#fe9ab8;fill-rule:evenodd;stroke:#000000;stroke-width:1.32292;stroke-linecap:round"
                    id="D"
                    cx="-33.536995"
                    cy="153.65906"
                    rx="9.4737835"
                    ry="9.4813986" />
                 <ellipse
                    style="fill:#fe9ab8;fill-rule:evenodd;stroke:#000000;stroke-width:1.32292;stroke-linecap:round"
                    id="E"
                    cx="9.8838243"
                    cy="151.71561"
                    rx="9.4737835"
                    ry="9.4813986" />
                 <path
                    style="fill:#666666;stroke:#666666;stroke-width:2.64583;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1"
                    d="M -9.815811,118.04326 4.339345,144.02754"
                    id="CE" />
                 <path
                    style="fill:#666666;stroke:#666666;stroke-width:2.64583;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1"
                    d="m -18.865449,116.6466 -12.718487,27.73472"
                    id="CD" />
                 <path
                    style="fill:#666666;stroke:#666666;stroke-width:2.64583;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1"
                    d="m -2.639069,67.532403 -10.227953,32.12969"
                    id="BC" />
                 <text
                    xml:space="preserve"
                    id="text899"
                    style="font-size:11.2889px;line-height:1.25;font-family:sans-serif;letter-spacing:0px;word-spacing:0px;white-space:pre;shape-inside:url(#rect901);stroke-width:0.871926;"
                    transform="matrix(1.1464255,0,0,1.147347,-75.219478,1.1755841)"><tspan
                      x="85.802734"
                      y="27.336496"><tspan
                        style="shape-inside:url(#rect901);stroke-width:0.871926">A</tspan></tspan></text>
                 <text
                    xml:space="preserve"
                    id="text905"
                    style="font-size:11.2889px;line-height:1.25;font-family:sans-serif;letter-spacing:0px;word-spacing:0px;white-space:pre;shape-inside:url(#rect907);stroke-width:0.871926;"
                    transform="matrix(1.1464255,0,0,1.147347,-103.3998,31.339189)"><tspan
                      x="85.802734"
                      y="27.336496"><tspan
                        style="shape-inside:url(#rect907);stroke-width:0.871926">B</tspan></tspan></text>
                 <text
                    xml:space="preserve"
                    id="text921"
                    style="font-size:11.2889px;line-height:1.25;font-family:sans-serif;letter-spacing:0px;word-spacing:0px;white-space:pre;shape-inside:url(#rect923);stroke-width:0.871926;"
                    transform="matrix(1.1464255,0,0,1.147347,-116.19825,82.235393)"><tspan
                      x="85.802734"
                      y="27.336496"><tspan
                        style="shape-inside:url(#rect923);stroke-width:0.871926">C</tspan></tspan></text>
                 <text
                    xml:space="preserve"
                    id="text925"
                    style="font-size:11.2889px;line-height:1.25;font-family:sans-serif;letter-spacing:0px;word-spacing:0px;white-space:pre;shape-inside:url(#rect927);stroke-width:0.871926;"
                    transform="matrix(1.1464255,0,0,1.147347,-136.79772,126.75012)"><tspan
                      x="85.802734"
                      y="27.336496"><tspan
                        style="shape-inside:url(#rect927);stroke-width:0.871926">D</tspan></tspan></text>
                 <text
                    xml:space="preserve"
                    id="text935"
                    style="font-size:11.2889px;line-height:1.25;font-family:sans-serif;letter-spacing:0px;word-spacing:0px;white-space:pre;shape-inside:url(#rect937);stroke-width:0.871926;"
                    transform="matrix(1.1464255,0,0,1.147347,-93.051454,124.80667)"><tspan
                      x="85.802734"
                      y="27.336496"><tspan
                        style="shape-inside:url(#rect937);stroke-width:0.871926">E</tspan></tspan></text>
                 <text
                    xml:space="preserve"
                    id="text939"
                    style="font-size:11.2889px;line-height:1.25;font-family:sans-serif;letter-spacing:0px;word-spacing:0px;white-space:pre;shape-inside:url(#rect941);stroke-width:0.871926;"
                    transform="matrix(1.1464255,0,0,1.147347,-54.767787,33.664093)"><tspan
                      x="85.802734"
                      y="27.336496"><tspan
                        style="shape-inside:url(#rect941);stroke-width:0.871926">F</tspan></tspan></text>
                 <text
                    xml:space="preserve"
                    id="text943"
                    style="font-size:11.2889px;line-height:1.25;font-family:sans-serif;letter-spacing:0px;word-spacing:0px;white-space:pre;shape-inside:url(#rect945);stroke-width:0.871926;"
                    transform="matrix(1.1464255,0,0,1.147347,-75.879119,78.185153)"><tspan
                      x="85.802734"
                      y="27.336496"><tspan
                        style="shape-inside:url(#rect945);stroke-width:0.871926">G</tspan></tspan></text>
                 <text
                    xml:space="preserve"
                    id="text947"
                    style="font-size:11.2889px;line-height:1.25;font-family:sans-serif;letter-spacing:0px;word-spacing:0px;white-space:pre;shape-inside:url(#rect949);stroke-width:0.871926;"
                    transform="matrix(1.1464255,0,0,1.147347,-32.259241,76.238533)"><tspan
                      x="85.802734"
                      y="27.336496"><tspan
                        style="shape-inside:url(#rect949);stroke-width:0.871926">H</tspan></tspan></text>
               </g>
             </svg>
          </div>
          <div class="col-4">
            <h2>Objective</h2>
            <p>Traverse along the adjacent nodes of the graph until no more traversals are possible.</p>
            
            <h2>Experiment Setup</h2>
            <p>The node 'A' must be picked as the initial root of the traversal. Any nodes adjacent to already traversed nodes can be traversed next. <br><br>
            Traversed nodes are indicated in red, nodes which can be visited next are indicated in yellow, and nodes which are unvisited are indicated in pink.</p>
            
            <h2>Instructions</h2>
            <p>Click on the next node you want to add to the traversal. <br><br>
            Keep on adding to traversal till no more nodes can be added. <br><br>
            You may click on the reset button to clear traversal and return to the original graph. </p>
          </div>
       </div>
       <div class="row">
          <h1 id="order"></h1>
       </div>
       <div class="row">
          <button class="col-4 btn btn-warning" onclick="resetState()">RESET</button>
       </div>
    </div>

</body>
<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ho+j7jyWK8fNQe+A12Hb8AhRq26LrZ/JpcUGGOn+Y7RsweNrtN/tE3MoK7ZeZDyx" crossorigin="anonymous"></script>
<script src="random.js"></script>
</html>